#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           mpvqt
Version:        1.0.0
Release:        %mkrel %{rel}
Summary:        QML wrapper for libmpv
Group:          Graphical desktop/KDE
License:        LGPL-2.1-only OR LGPL-3.0-only OR MIT
URL:            https://invent.kde.org/libraries/mpvqt
Source0:        https://download.kde.org/stable/mpvqt/mpvqt-%{version}.tar.xz

BuildRequires:  cmake(ECM)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)

BuildRequires:  pkgconfig(mpv)

%description
MpvQt is a libmpv wrapper for Qt Quick 2/Qml.

#-------------------------------------------------------------------------

%define mpvqt_major 1
%define libmpvqt    %mklibname mpvqt %mpvqt_major

%package -n     %{libmpvqt}
Summary:        QML wrapper for libmpv
Group:          System/Libraries

%description -n %{libmpvqt}
MpvQt is a libmpv wrapper for Qt Quick 2/Qml.

%files -n %{libmpvqt}
%license LICENSES/LGPL* LICENSES/LicenseRef-KDE*
%doc README.md
%{_libdir}/libMpvQt.so.%{mpvqt_major}{,.*}

#-------------------------------------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libmpvqt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}

%description -n %{develname}
Development headers and link library for building packages
which use %{name}.

%files -n %{develname}
%{_includedir}/MpvQt/
%{_libdir}/libMpvQt.so
%{_libdir}/cmake/MpvQt/

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Wed Dec 20 2023 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2020337
- initial package mpvqt

